# Sets a permanent user to temporary

Update the settings for temporary users.

Use this route to enable or disable temporary users for your environment

Endpoint: PUT /resources/users/temporary/v1/{userId}
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `userId` (string, required)

## Header parameters:

  - `frontegg-tenant-id` (string)
    The tenant identifier. Required for requests to api.frontegg.com (or your region) when using a management token. Parsed from the token when using user or API tokens

## Request fields (application/json):

  - `expirationInSeconds` (number, required)

## Response 200 fields (application/json):

  - `expirationInSeconds` (number, required)

